Bug 1279353 - Parition of passthrough iscsi target can not be read in windows guest after adding readonly=on option
Parition of passthrough iscsi target can not be read in windows guest after a...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vadim Rozenfeld
Xueqiang Wei
:
Depends On: 1204038
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 04:23 EST by Qian Guo
Modified: 2017-06-08 08:54 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1204038
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Try to access the disk, it prompts "is not accessible" (93.52 KB, image/png)
2015-11-09 04:30 EST, Qian Guo
no flags Details

  None (edit)
Comment 2 Qian Guo 2015-11-09 04:29:38 EST
Additional infos:
The components:
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.3.0-31.el7.x86_64

# uname -r
3.10.0-327.el7.x86_64

Guest is windows 8.1 64bit and installed virtio-win-prewhql-0.1-110

The cli of my test:
/usr/libexec/qemu-kvm -name 102SCS2012R2OSY -enable-kvm -m 4G -smp 4 -uuid 9eb94461-f79d-41a2-9b56-bac1e12ee7d3 -chardev socket,id=charmonitor,path=/tmp/102SCS2012R2OSY,server,nowait -mon chardev=charmonitor,id=monitor2,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-scsi-pci,id=scsi0,addr=0x7 -device virtio-scsi-pci,id=scsi1,addr=0x6 -drive file=/home/win8-64.1-virtio-scsi.raw,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none,werror=stop,rerror=stop -device scsi-hd,drive=drive-ide0-0-0,id=ide0-0-0,bus=scsi1.0   -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:5b:1c:40:a8,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc :10 -vga cirrus -drive file=datatest.raw,if=none,id=drive-scsi-disk0,format=raw,serial=mike_cao,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-disk0,id=scsi-disk0 -drive file=/dev/sdb,if=none,id=drive-scsi-diskb,format=raw,serial=sdb,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskb,id=scsi-diskb -drive file=/dev/sdc,if=none,id=drive-scsi-diskc,format=raw,serial=sdc,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskc,id=scsi-diskc -drive file=/dev/sdd,if=none,id=drive-scsi-diskd,format=raw,serial=sdd,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskd,id=scsi-diskd -drive file=/dev/sde,if=none,id=drive-scsi-diske,format=raw,serial=sde,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diske,id=scsi-diske -drive file=/dev/sdf,if=none,id=drive-scsi-diskf,format=raw,serial=sdf,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskf,id=scsi-diskf -drive file=/dev/sdg,if=none,id=drive-scsi-diskg,format=raw,serial=sdg,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskg,id=scsi-diskg -drive file=/dev/sdh,if=none,id=drive-scsi-diskh,format=raw,serial=sdh,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskh,id=scsi-diskh -drive file=/dev/sdi,if=none,id=drive-scsi-diski,format=raw,serial=sdi,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diski,id=scsi-diski -drive file=/dev/sdj,if=none,id=drive-scsi-diskj,format=raw,serial=sdj,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskj,id=scsi-diskj -drive file=/dev/sdk,if=none,id=drive-scsi-diskk,format=raw,serial=sdk,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskk,id=scsi-diskk -drive file=/dev/sdl,if=none,id=drive-scsi-diskl,format=raw,serial=sdl,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskl,id=scsi-diskl -drive file=/dev/sdm,if=none,id=drive-scsi-diskm,format=raw,serial=sdm,readonly=on,cache=none,werror=stop,rerror=stop -device scsi-block,bus=scsi0.0,drive=drive-scsi-diskm,id=scsi-diskm  -monitor stdio -qmp tcp:0:4444,server,nowait

steps:

1.Add readonly=on to the data disks

2.Then check inside guest, found that the except "E", other ones all can not access:

See the screenshots
Comment 3 Qian Guo 2015-11-09 04:30 EST
Created attachment 1091659 [details]
Try to access the disk, it prompts "is not accessible"
Comment 4 Vadim Rozenfeld 2015-11-09 04:41:40 EST
How does it work with virtual disks instead of iscsi targets?

Thanks,
Vadim.
Comment 5 Qian Guo 2015-11-10 03:15:42 EST
(In reply to Vadim Rozenfeld from comment #4)
> How does it work with virtual disks instead of iscsi targets?
> 
> Thanks,
> Vadim.

virtual disks has no such issue, from comment 2, the disk 
" -drive file=datatest.raw,if=none,id=drive-scsi-disk0,format=raw,serial=mike_cao,cache=none,werror=stop,rerror=stop,readonly=on \
 -device scsi-hd,bus=scsi0.0,drive=drive-scsi-disk0,id=scsi-disk0"

is the virtual disk, and it can be access/read.


And I found that this  bug is related with scsi-block, since if change the scsi-block to scsi-hd, the issue gone.

Also I tried with all data disks using virtual disks backend, all of them can be read and accessed:

cli:
/usr/libexec/qemu-kvm -name 102SCS2012R2OSY -enable-kvm -m 4G -smp 4 -uuid 9eb94461-f79d-41a2-9b56-bac1e12ee7d3 -chardev socket,id=charmonitor,path=/tmp/102SCS2012R2OSY,server,nowait -mon chardev=charmonitor,id=monitor2,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-scsi-pci,id=scsi0,addr=0x7 -device virtio-scsi-pci,id=scsi1,addr=0x6 -drive file=/home/win8-64.1-virtio-scsi.raw,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none,werror=stop,rerror=stop -device scsi-hd,drive=drive-ide0-0-0,id=ide0-0-0,bus=scsi1.0   -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:5b:1c:40:a8,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc :10 -vga cirrus -drive file=datatest.raw,if=none,id=drive-scsi-disk0,format=raw,serial=mike_cao,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-disk0,id=scsi-disk0 -drive file=/home/data1,if=none,id=drive-scsi-diskb,format=raw,serial=sdb,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskb,id=scsi-diskb -drive file=/home/data2,if=none,id=drive-scsi-diskc,format=raw,serial=sdc,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskc,id=scsi-diskc -drive file=/home/data3,if=none,id=drive-scsi-diskd,format=raw,serial=sdd,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskd,id=scsi-diskd -drive file=/home/data4,if=none,id=drive-scsi-diske,format=raw,serial=sde,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diske,id=scsi-diske -drive file=/home/data5,if=none,id=drive-scsi-diskf,format=raw,serial=sdf,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskf,id=scsi-diskf -drive file=/home/data6,if=none,id=drive-scsi-diskg,format=raw,serial=sdg,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskg,id=scsi-diskg -drive file=/home/data7,if=none,id=drive-scsi-diskh,format=raw,serial=sdh,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskh,id=scsi-diskh -drive file=/home/data8,if=none,id=drive-scsi-diski,format=raw,serial=sdi,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diski,id=scsi-diski -drive file=/home/data9,if=none,id=drive-scsi-diskj,format=raw,serial=sdj,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskj,id=scsi-diskj -drive file=/home/data10,if=none,id=drive-scsi-diskk,format=raw,serial=sdk,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskk,id=scsi-diskk -drive file=/home/data11,if=none,id=drive-scsi-diskl,format=raw,serial=sdl,cache=none,werror=stop,rerror=stop,readonly=on -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskl,id=scsi-diskl -drive file=/home/data12,if=none,id=drive-scsi-diskm,format=raw,serial=sdm,readonly=on,cache=none,werror=stop,rerror=stop -device scsi-hd,bus=scsi0.0,drive=drive-scsi-diskm,id=scsi-diskm  -monitor stdio -qmp tcp:0:4444,server,nowait \



So this bug is related with scsi-block  device.
Comment 6 Vadim Rozenfeld 2015-11-10 04:19:33 EST
(In reply to Qian Guo from comment #5)
> (In reply to Vadim Rozenfeld from comment #4)
> > How does it work with virtual disks instead of iscsi targets?
> > 
> > Thanks,
> > Vadim.
> 
> virtual disks has no such issue, from comment 2, the disk 
> " -drive
> file=datatest.raw,if=none,id=drive-scsi-disk0,format=raw,serial=mike_cao,
> cache=none,werror=stop,rerror=stop,readonly=on \
>  -device scsi-hd,bus=scsi0.0,drive=drive-scsi-disk0,id=scsi-disk0"
> 
> is the virtual disk, and it can be access/read.
> 
> 
> And I found that this  bug is related with scsi-block, since if change the
> scsi-block to scsi-hd, the issue gone.
> 
> Also I tried with all data disks using virtual disks backend, all of them
> can be read and accessed:
> 
> cli:
> /usr/libexec/qemu-kvm -name 102SCS2012R2OSY -enable-kvm -m 4G -smp 4 -uuid
> 9eb94461-f79d-41a2-9b56-bac1e12ee7d3 -chardev
> socket,id=charmonitor,path=/tmp/102SCS2012R2OSY,server,nowait -mon
> chardev=charmonitor,id=monitor2,mode=control -rtc
> base=localtime,driftfix=slew -boot order=cd,menu=on -device
> piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device
> virtio-scsi-pci,id=scsi0,addr=0x7 -device virtio-scsi-pci,id=scsi1,addr=0x6
> -drive
> file=/home/win8-64.1-virtio-scsi.raw,if=none,id=drive-ide0-0-0,format=raw,
> serial=mike_cao,cache=none,werror=stop,rerror=stop -device
> scsi-hd,drive=drive-ide0-0-0,id=ide0-0-0,bus=scsi1.0   -netdev
> tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device
> e1000,netdev=hostnet0,id=net0,mac=00:52:5b:1c:40:a8,bus=pci.0,addr=0x3
> -chardev pty,id=charserial0 -device
> isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0
> -vnc :10 -vga cirrus -drive
> file=datatest.raw,if=none,id=drive-scsi-disk0,format=raw,serial=mike_cao,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-disk0,id=scsi-disk0 -drive
> file=/home/data1,if=none,id=drive-scsi-diskb,format=raw,serial=sdb,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskb,id=scsi-diskb -drive
> file=/home/data2,if=none,id=drive-scsi-diskc,format=raw,serial=sdc,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskc,id=scsi-diskc -drive
> file=/home/data3,if=none,id=drive-scsi-diskd,format=raw,serial=sdd,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskd,id=scsi-diskd -drive
> file=/home/data4,if=none,id=drive-scsi-diske,format=raw,serial=sde,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diske,id=scsi-diske -drive
> file=/home/data5,if=none,id=drive-scsi-diskf,format=raw,serial=sdf,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskf,id=scsi-diskf -drive
> file=/home/data6,if=none,id=drive-scsi-diskg,format=raw,serial=sdg,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskg,id=scsi-diskg -drive
> file=/home/data7,if=none,id=drive-scsi-diskh,format=raw,serial=sdh,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskh,id=scsi-diskh -drive
> file=/home/data8,if=none,id=drive-scsi-diski,format=raw,serial=sdi,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diski,id=scsi-diski -drive
> file=/home/data9,if=none,id=drive-scsi-diskj,format=raw,serial=sdj,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskj,id=scsi-diskj -drive
> file=/home/data10,if=none,id=drive-scsi-diskk,format=raw,serial=sdk,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskk,id=scsi-diskk -drive
> file=/home/data11,if=none,id=drive-scsi-diskl,format=raw,serial=sdl,
> cache=none,werror=stop,rerror=stop,readonly=on -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskl,id=scsi-diskl -drive
> file=/home/data12,if=none,id=drive-scsi-diskm,format=raw,serial=sdm,
> readonly=on,cache=none,werror=stop,rerror=stop -device
> scsi-hd,bus=scsi0.0,drive=drive-scsi-diskm,id=scsi-diskm  -monitor stdio
> -qmp tcp:0:4444,server,nowait \
> 
> 
> 
> So this bug is related with scsi-block  device.

Thanks,
Vadim.

Note You need to log in before you can comment on or make changes to this bug.